using UnityEngine;
using UnityEngine.UI;

public partial class SharedResources : MonoBehaviour
{
    public static SharedResources Instance;

    public AnimatorOverrideController GenericAnimatorController ;
    public UITimelineObjectEntry    TimelineObjectEntry     ;
    public UISceneContainer         UISceneContainer        ;
    public UIDraggableProxy         UIDraggableProxy        ;
    public UIPoseContainer          UIPoseContainer         ;
    public UIPopupPastePanel        PopupPastePanel         ;
    public UISelectionEntry         SelectionEntry          ;
    public TimelineFrameContainer   TimelineFrame           ;
    public UIPopupMessage           PopupMessage            ;
    public PopupController          HandlePopup             ;
    public UITextInput              UITextInput             ;
    public SliderPanel              SliderPanel             ;
    public SliderPanel              TogglePanel             ;
    public MorphPanel               MorphPanel              ;
    public GameObject               ModelIcon               ;
    public GameObject               Handle                  ;
    public Button                   Button                  ;

    protected void Awake()
    {
        if(Instance != null && Instance != this)
        {
            Destroy(this);
            return;
        }
        Instance = this;
    }
}